;--------------------------------------------------------
; File Created by SDCC : free open source ANSI-C Compiler
; Version 3.8.0 #10562 (Linux)
;--------------------------------------------------------
	.module Chenillard_LED_Display
	.optsdcc -mz80
	
;--------------------------------------------------------
; Public variables in this module
;--------------------------------------------------------
	.globl _pause
	.globl _main
	.globl _bit_pos
	.globl _cntl
	.globl _cnth
;--------------------------------------------------------
; special function registers
;--------------------------------------------------------
_chiffr_sel	=	0x0048
_segm_sel	=	0x004c
;--------------------------------------------------------
; ram data
;--------------------------------------------------------
	.area _DATA
_cnth	=	0x1000
_cntl	=	0x1001
_bit_pos	=	0x1002
;--------------------------------------------------------
; ram data
;--------------------------------------------------------
	.area _INITIALIZED
;--------------------------------------------------------
; absolute external ram data
;--------------------------------------------------------
	.area _DABS (ABS)
;--------------------------------------------------------
; global & static initialisations
;--------------------------------------------------------
	.area _HOME
	.area _GSINIT
	.area _GSFINAL
	.area _GSINIT
;--------------------------------------------------------
; Home
;--------------------------------------------------------
	.area _HOME
	.area _HOME
;--------------------------------------------------------
; code
;--------------------------------------------------------
	.area _CODE
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:25: void main() 
;	---------------------------------
; Function main
; ---------------------------------
_main::
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:27: while(1)                                   // Boucle principale
00103$:
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:29: for (bit_pos = 1; bit_pos > 0; bit_pos = bit_pos * 2)       // Parcours des positions d'affichage
	ld	hl,#_bit_pos + 0
	ld	(hl), #0x01
00106$:
	ld	iy, #_bit_pos
	ld	a, 0 (iy)
	or	a, a
	jr	Z,00103$
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:31: segm_sel = 0xDC;                     // Création d'un petit carré dans le bas de l'affichage
	ld	a, #0xdc
	out	(_segm_sel), a
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:32: chiffr_sel = ~bit_pos;               // Sélection de l'affichage (logique inversée)
	ld	a, 0 (iy)
	cpl
	out	(_chiffr_sel), a
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:33: pause();                             // Pause pour les yeux...
	call	_pause
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:29: for (bit_pos = 1; bit_pos > 0; bit_pos = bit_pos * 2)       // Parcours des positions d'affichage
	ld	iy, #_bit_pos
	ld	a, 0 (iy)
	add	a, a
	ld	0 (iy), a
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:36: }
	jr	00106$
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:39: void pause()
;	---------------------------------
; Function pause
; ---------------------------------
_pause::
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:41: for (cnth = 10; cnth > 0; cnth--)          // Boucle haute du compteur
	ld	hl,#_cnth + 0
	ld	(hl), #0x0a
00107$:
	ld	a,(#_cnth + 0)
	or	a, a
	ret	Z
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:43: for (cntl = 255; cntl > 0; cntl--);     // Boucle basse du compteur
	ld	hl,#_cntl + 0
	ld	(hl), #0xff
00104$:
	ld	iy, #_cntl
	ld	a, 0 (iy)
	or	a, a
	jr	Z,00108$
	dec	0 (iy)
	jr	00104$
00108$:
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:41: for (cnth = 10; cnth > 0; cnth--)          // Boucle haute du compteur
	ld	hl, #_cnth+0
	dec	(hl)
;/media/4TB_BACKUP/ZAZDISK_D/Proj/Bidouilleur/PRO-83_Plateforme_Z80/Programmes/SDCC/Chenillard_LED_Display.c:45: }
	jr	00107$
	.area _CODE
	.area _INITIALIZER
	.area _CABS (ABS)
