/*
  _===_ _           _                  ______ _     _             _ _ _
 |  ___| |         | |                 | ___ (_)   | |           (_) | |
 | |__ | | ___  ___| |_ _ __ ___ ______| |_/ /_  __| | ___  _   _ _| | | ___ _   _ _ __
 |  __|| |/ _ \/ __| __| '__/ _ \______| ___ \ |/ _` |/ _ \| | | | | | |/ _ \ | | | '__|
 | |___| |  __/ (__| |_| | | (_) |     | |_/ / | (_| | (_) | |_| | | | |  __/ |_| | |
 \____/|_|\___|\___|\__|_|  \___/      \____/|_|\__,_|\___/ \__,_|_|_|_|\___|\__,_|_|

 Essai de Basculement de la broche PIO-B0 sur plateforme Z80 PRO-83
 Code source développé et compilé sur SDCC
 Électro-Bidouilleur, V1, Juillet 2022. https://www.youtube.com/Électro-Bidouilleur
 Licence de droits: Attribution 4.0 International (CC BY 4.0)  Lisez https://creativecommons.org/licenses/by/4.0/deed.fr  
*/

__sfr __at 0x41 pio_b_d;                  // Définition des registres spéciaux du PIO
__sfr __at 0x43 pio_b_c;                  //       "

// Fonction principale
void main(void) 
{
   pio_b_c = 0x0F;                        // Configurer le port PIO-B en mode sortie (mode 0)
   while(1) pio_b_d = pio_b_d ^ 0x01;     // Boucle pour inverser le bit B0 du port B à répétition
}

// Fin
